Skip to content

Actions

All operations require authentication.

4 operationsv1/overTheBox/{serviceName}
Agent setup

List the actions of an OverTheBox deviceProduction

GET
/1.0/overTheBox/{serviceName}/device/actions

List the actions of an OverTheBox device. Returns the IDs of the actions scheduled on the device, which can be filtered by status and name.

Path parameters

serviceName
required
string

The internal name of your overTheBox offer

Query parameters

name
string

Filter the value of name property (=)

status
ActionStatusEnum

Filter the value of status property (=)

Valuesdoingdoneerrortodo

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/overTheBox/{serviceName}/device/actions \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

List the actions available on an OverTheBox deviceProduction

GET
/1.0/overTheBox/{serviceName}/device/availableActions

List the actions available on an OverTheBox device. Returns the name and description of each action that can be created on the device.

Path parameters

serviceName
required
string

The internal name of your overTheBox offer

Response

200AvailableDeviceAction[]successful operation
description
string

Description of the action

name
string

Name of the action

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/overTheBox/{serviceName}/device/availableActions \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "description": "string", "name": "string" }]

Create an action on an OverTheBox deviceProduction

POST
/1.0/overTheBox/{serviceName}/device/actions

Create an action on an OverTheBox device. Schedules one of the available device actions, given by its name, and returns the created action.

Path parameters

serviceName
required
string

The internal name of your overTheBox offer

Request body (required)

name
required
string

Name of the action

Response

200DeviceActionsuccessful operation
actionId
read-only
string

The id of the action

createdAt
read-only
stringdate-time

Date of creation of the action

details
read-only
string

The details of the action

name
read-only
string

The name of the action

status
read-only
ActionStatusEnum

The status of the action

Valuesdoingdoneerrortodo
todoDate
read-only
stringdate-time

Date of execution of the action

updatedAt
read-only
stringdate-time

Last time the action was updated

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/overTheBox/{serviceName}/device/actions \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "actionId": "string", "createdAt": "2024-01-01T12:00:00Z", "details": "string", "name": "string", "status": "doing", "todoDate": "2024-01-01T12:00:00Z", "updatedAt": "2024-01-01T12:00:00Z"}

Get an action of an OverTheBox deviceProduction

GET
/1.0/overTheBox/{serviceName}/device/actions/{actionId}

Get an action of an OverTheBox device. Returns the name, status, details and the creation, update and execution dates of an action of the device.

Path parameters

actionId
required
string

The id of the action

serviceName
required
string

The internal name of your overTheBox offer

Response

200DeviceActionsuccessful operation
actionId
read-only
string

The id of the action

createdAt
read-only
stringdate-time

Date of creation of the action

details
read-only
string

The details of the action

name
read-only
string

The name of the action

status
read-only
ActionStatusEnum

The status of the action

Valuesdoingdoneerrortodo
todoDate
read-only
stringdate-time

Date of execution of the action

updatedAt
read-only
stringdate-time

Last time the action was updated

Example uses actionId = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/overTheBox/{serviceName}/device/actions/{actionId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "actionId": "string", "createdAt": "2024-01-01T12:00:00Z", "details": "string", "name": "string", "status": "doing", "todoDate": "2024-01-01T12:00:00Z", "updatedAt": "2024-01-01T12:00:00Z"}